org.keycloak.timer.basic

## Class BasicTimerProviderFactory

- java.lang.Object
- - org.keycloak.timer.basic.BasicTimerProviderFactory

- All Implemented Interfaces:
    ProviderFactory<TimerProvider>, TimerProviderFactory

      public class BasicTimerProviderFactory
      extends Object
      implements TimerProviderFactory

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TRANSACTION_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicTimerProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `TimerProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `protected TimerTaskContextImpl` | `putTask(String taskName, TimerTaskContextImpl task)`
    `protected TimerTaskContextImpl` | `removeTask(String taskName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### TRANSACTION_TIMEOUT

          public static final String TRANSACTION_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BasicTimerProviderFactory

          public BasicTimerProviderFactory()

  - ### Method Detail

    - #### create

          public TimerProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<TimerProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<TimerProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<TimerProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<TimerProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<TimerProvider>`

    - #### putTask

          protected TimerTaskContextImpl putTask(String taskName,
                                                 TimerTaskContextImpl task)

    - #### removeTask

          protected TimerTaskContextImpl removeTask(String taskName)

Copyright © 2021 JBoss by Red Hat. All rights reserved.